--------------------------------------------------------------------------------
-- Copyright (c) 1995-2010 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 12.2
--  \   \         Application : sch2hdl
--  /   /         Filename : CRII.vhf
-- /___/   /\     Timestamp : 09/26/2010 16:01:49
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: sch2hdl -intstyle ise -family xbr -flat -suppress -vhdl Z:/Dropbox/Projekte/Xilinx/CoolrunnerStarterKit/siebenSeg/template/template/CRII.vhf -w Z:/Dropbox/Projekte/Xilinx/CoolrunnerStarterKit/siebenSeg/template/template/CRII.sch
--Design Name: CRII
--Device: xbr
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesized and simulated, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity CRII is
   port ( Button0 : in    std_logic; 
          Button1 : in    std_logic; 
          Switch0 : in    std_logic; 
          Switch1 : in    std_logic; 
          A       : out   std_logic; 
          AN1     : out   std_logic; 
          AN2     : out   std_logic; 
          AN3     : out   std_logic; 
          AN4     : out   std_logic; 
          B       : out   std_logic; 
          C       : out   std_logic; 
          D       : out   std_logic; 
          E       : out   std_logic; 
          F       : out   std_logic; 
          G       : out   std_logic; 
          LED0    : out   std_logic; 
          LED1    : out   std_logic; 
          LED2    : out   std_logic; 
          LED3    : out   std_logic; 
          P       : out   std_logic);
end CRII;

architecture BEHAVIORAL of CRII is
   attribute BOX_TYPE   : string ;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
begin
   XLXI_2 : GND
      port map (G=>LED3);
   
   XLXI_3 : GND
      port map (G=>LED2);
   
   XLXI_4 : GND
      port map (G=>LED1);
   
   XLXI_5 : GND
      port map (G=>LED0);
   
   XLXI_7 : GND
      port map (G=>P);
   
   XLXI_8 : GND
      port map (G=>G);
   
   XLXI_9 : GND
      port map (G=>F);
   
   XLXI_10 : GND
      port map (G=>E);
   
   XLXI_11 : GND
      port map (G=>D);
   
   XLXI_12 : GND
      port map (G=>C);
   
   XLXI_13 : GND
      port map (G=>B);
   
   XLXI_14 : GND
      port map (G=>A);
   
   XLXI_23 : BUF
      port map (I=>Switch1,
                O=>AN1);
   
   XLXI_24 : BUF
      port map (I=>Switch0,
                O=>AN2);
   
   XLXI_25 : BUF
      port map (I=>Button1,
                O=>AN3);
   
   XLXI_26 : BUF
      port map (I=>Button0,
                O=>AN4);
   
end BEHAVIORAL;


